if (isNaN(parseInt(this.item.system.specification.value)))
{
    let value = await ValueDialog.create("Entrer la valeur d'Armure", this.effect.name);
    if (value)
    {
     this.item.updateSource({"system.specification.value" : value});
    }
}